# Interface ICefClient

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefClient = interface(ICefBaseRefCounted)`

## Description

Implement this interface to provide handler implementations.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_client_capi.h">CEF source file: /include/capi/cef_client_capi.h (cef_client_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefClient

## Overview

### Methods

| `procedure GetAudioHandler(var aHandler : ICefAudioHandler);`
| `procedure GetCommandHandler(var aHandler : ICefCommandHandler);`
| `procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler);`
| `procedure GetDialogHandler(var aHandler : ICefDialogHandler);`
| `procedure GetDisplayHandler(var aHandler : ICefDisplayHandler);`
| `procedure GetDownloadHandler(var aHandler : ICefDownloadHandler);`
| `procedure GetDragHandler(var aHandler : ICefDragHandler);`
| `procedure GetFindHandler(var aHandler : ICefFindHandler);`
| `procedure GetFocusHandler(var aHandler : ICefFocusHandler);`
| `procedure GetFrameHandler(var aHandler : ICefFrameHandler);`
| `procedure GetPermissionHandler(var aHandler: ICefPermissionHandler);`
| `procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler);`
| `procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler);`
| `procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler);`
| `procedure GetLoadHandler(var aHandler : ICefLoadHandler);`
| `procedure GetPrintHandler(var aHandler : ICefPrintHandler);`
| `procedure GetRenderHandler(var aHandler : ICefRenderHandler);`
| `procedure GetRequestHandler(var aHandler : ICefRequestHandler);`
| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean;`
| `procedure RemoveReferences;`

## Description

### Methods

| `procedure GetAudioHandler(var aHandler : ICefAudioHandler);`
Return the handler for audio rendering events. ###### Attributes GUID['{1D502075-2FF0-4E13-A112-9E541CD811F4}']

| `procedure GetCommandHandler(var aHandler : ICefCommandHandler);`
Return the handler for commands. If no handler is provided the default implementation will be used.

| `procedure GetContextMenuHandler(var aHandler : ICefContextMenuHandler);`
Return the handler for context menus. If no handler is provided the default implementation will be used.

| `procedure GetDialogHandler(var aHandler : ICefDialogHandler);`
Return the handler for dialogs. If no handler is provided the default implementation will be used.

| `procedure GetDisplayHandler(var aHandler : ICefDisplayHandler);`
Return the handler for browser display state events.

| `procedure GetDownloadHandler(var aHandler : ICefDownloadHandler);`
Return the handler for download events. If no handler is returned downloads will not be allowed.

| `procedure GetDragHandler(var aHandler : ICefDragHandler);`
Return the handler for drag events.

| `procedure GetFindHandler(var aHandler : ICefFindHandler);`
Return the handler for find result events.

| `procedure GetFocusHandler(var aHandler : ICefFocusHandler);`
Return the handler for focus events.

| `procedure GetFrameHandler(var aHandler : ICefFrameHandler);`
Return the handler for events related to ICefFrame lifespan. This function will be called once during ICefBrowser creation and the result will be cached for performance reasons.

| `procedure GetPermissionHandler(var aHandler: ICefPermissionHandler);`
Return the handler for permission requests.

| `procedure GetJsdialogHandler(var aHandler : ICefJsdialogHandler);`
Return the handler for JavaScript dialogs. If no handler is provided the default implementation will be used.

| `procedure GetKeyboardHandler(var aHandler : ICefKeyboardHandler);`
Return the handler for keyboard events.

| `procedure GetLifeSpanHandler(var aHandler : ICefLifeSpanHandler);`
Return the handler for browser life span events.

| `procedure GetLoadHandler(var aHandler : ICefLoadHandler);`
Return the handler for browser load status events.

| `procedure GetPrintHandler(var aHandler : ICefPrintHandler);`
Return the handler for printing on Linux. If a print handler is not provided then printing will not be supported on the Linux platform.

| `procedure GetRenderHandler(var aHandler : ICefRenderHandler);`
Return the handler for off-screen rendering events.

| `procedure GetRequestHandler(var aHandler : ICefRequestHandler);`
Return the handler for browser request events.

| `function OnProcessMessageReceived(const browser: ICefBrowser; const frame: ICefFrame; sourceProcess: TCefProcessId; const message_ : ICefProcessMessage): Boolean;`
Called when a new message is received from a different process. Return true (1) if the message was handled or false (0) otherwise. It is safe to keep a reference to |message| outside of this callback.

| `procedure RemoveReferences;`
Custom procedure to clear all references.

Generated by PasDoc 0.16.0-snapshot.